summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorNick Terrell <terrelln@fb.com>2016-11-04 01:19:14 (GMT)
committerNick Terrell <terrelln@fb.com>2016-11-04 01:19:14 (GMT)
commit04d728b87b6ba1b32ebc246455ad4a395a73c3d5 (patch)
tree53c3ac89710dc8f03287e3ff0447543ad04d16a9 /tests
parent3dcafd35d409380182393fdb0d5666f6a64ff841 (diff)
downloadlz4-04d728b87b6ba1b32ebc246455ad4a395a73c3d5.zip
lz4-04d728b87b6ba1b32ebc246455ad4a395a73c3d5.tar.gz
lz4-04d728b87b6ba1b32ebc246455ad4a395a73c3d5.tar.bz2
Fix tests for test mode
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/Makefile b/tests/Makefile
index d7a195a..0c44b21 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -217,7 +217,10 @@ test-lz4-basic: lz4 datagen
test-lz4: lz4 datagen test-lz4-basic test-lz4-multiple test-lz4-sparse test-lz4-contentSize test-lz4-frame-concatenation
@echo "\n ---- test pass-through ----"
- ./datagen | $(PRGDIR)/lz4 -tf
+ ./datagen | $(PRGDIR)/lz4 -t && false || true
+ ./datagen | $(PRGDIR)/lz4 -tf && false || true
+ ./datagen | $(PRGDIR)/lz4 -d > $(VOID) && false || true
+ ./datagen | $(PRGDIR)/lz4 -df > $(VOID)
test-lz4c: lz4c datagen
@echo "\n ---- test lz4c version ----"